# Copyright (C) 2011-2012 Linaro Limited
#
# Author: Zygmunt Krynicki <zygmunt.krynicki@linaro.org>
#
# This file is part of lava-core
#
# lava-core is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License version 3
# as published by the Free Software Foundation
#
# lava-core is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with lava-core.  If not, see <http://www.gnu.org/licenses/>.

from __future__ import absolute_import

"""
lava.core.controllers.software.telnet
=====================================
"""

import subprocess

import pexpect

from lava.core.controllers.software import GenericSoftwareController


class TelnetController(GenericSoftwareController):
    """
    Wrapper around telnet

    This wrapper is only needed because telnet --version does nothing useful
    and that's what GenericSoftwareController would do.
    """

    def _probe_version(self):
        return "unsupported"

    def connect_to(self, host, port, log):
        return self.start([
            "-E",  # disable escape character, there are no humans here!
            "-n", log,  # save everything to this trace file
            str(host), str(port)])
